compact1, compact2, compact3
javax.security.auth.login

## Class AccountNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.security.auth.login.LoginException
        - - javax.security.auth.login.AccountException
          - - javax.security.auth.login.AccountNotFoundException

All Implemented Interfaces:
  Serializable

    public class AccountNotFoundException
    extends AccountException

Signals that an account was not found.

This exception may be thrown by a LoginModule if it is unable to locate an account necessary to perform authentication.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AccountNotFoundException()` Constructs a AccountNotFoundException with no detail message.
`AccountNotFoundException(String msg)` Constructs a AccountNotFoundException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AccountNotFoundException

    public AccountNotFoundException()

Constructs a AccountNotFoundException with no detail message. A detail message is a String that describes this particular exception.

#### AccountNotFoundException

    public AccountNotFoundException(String msg)

Constructs a AccountNotFoundException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.